Skip to main content
POST
/
v1
/
organizations
/
get
Get Organizations
curl --request POST \
  --url https://api.velt.dev/v1/organizations/get \
  --header 'Content-Type: application/json' \
  --header 'x-velt-api-key: <x-velt-api-key>' \
  --header 'x-velt-auth-token: <x-velt-auth-token>' \
  --data '
{
  "data": {
    "organizationIds": [
      "<string>"
    ]
  }
}
'
{
  "result": {
    "status": "success",
    "message": "Organization(s) retrieved successfully.",
    "data": [
      {
        "id": "yourOrganizationId",
        "organizationName": "Your Organization Name",
        "disabled": false,
        // other metadata fields may be included here
      }
      // ... more organizations if multiple were retrieved
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.velt.dev/llms.txt

Use this file to discover all available pages before exploring further.

Use this API to retrieve specific organizations by organization IDs.
Use this for SDK v3 or prior versions.

Endpoint

POST https://api.velt.dev/v1/organizations/get

Headers

x-velt-api-key
string
required
Your API key.
x-velt-auth-token
string
required

Body

Params

data
object
required

Example Requests

{
  "data": {
    "organizationIds": [
      "yourOrganizationId"
    ]
  }
}

Response

Success Response

{
  "result": {
    "status": "success",
    "message": "Organization(s) retrieved successfully.",
    "data": [
      {
        "id": "yourOrganizationId",
        "organizationName": "Your Organization Name",
        "disabled": false,
        // other metadata fields may be included here
      }
      // ... more organizations if multiple were retrieved
    ]
  }
}

Failure Response

{
  "error": {
    "message": "ERROR_MESSAGE",
    "status": "INVALID_ARGUMENT"
  }
}
{
  "result": {
    "status": "success",
    "message": "Organization(s) retrieved successfully.",
    "data": [
      {
        "id": "yourOrganizationId",
        "organizationName": "Your Organization Name",
        "disabled": false,
        // other metadata fields may be included here
      }
      // ... more organizations if multiple were retrieved
    ]
  }
}